# $Id$
# Authority: dag
# Upstream: 

Summary: C++ High Performance Arbitrary Precision Arithmetic Package
Name: aptest
%define real_version 241
Version: 0.0.1
Release: 1.rf
License: GPL
Group: Applications/Engineering
URL: http://www.apfloat.org/apfloat/

Packager: Dag Wieers <dag@wieers.com>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source0: http://www.apfloat.org/apfloat/aptestlm.zip
Source1: http://www.apfloat.org/apfloat/aptestll.zip
Source2: http://www.apfloat.org/apfloat/aptestlx.zip
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: gcc-c++

%description
Apfloat is a C++ arbitrary precision arithmetic package. Multiplications are
done using Fast Fourier Transforms for O(n log n) complexity. The transforms
are done as Number Theoretic Transforms to avoid round-off problems. Three
different moduli are used for optimal memory usage. The final result is
achieved using the Chinese Remainder Theorem. The algorithms are optimized
for very high precision (more than 100 000 digits). The package is written to
be easily portable, but also includes assembler optimization in critical parts
for various processors for maximum performance. The software is released as
freeware and is free for non-commercial use.

%prep
%setup -c -T

%ifarch %{ix86}
unzip -u %{SOURCE0}
%{__mv} -vf aptestm aptestm-fast
%{__rm} -vf config readme.txt
unzip -u %{SOURCE1}
%{__mv} -vf aptestm aptestm-slow
%endif

%ifarch x86_64
unzip -u %{SOURCE2}
%endif

%build

%install
%{__rm} -rf %{buildroot}
#%{__make} install DESTDIR="%{buildroot}"

%ifarch %{ix86}
%{__install} -Dp -m0755 aptestm-fast %{buildroot}%{_bindir}/aptestm-fast
%{__install} -Dp -m0755 aptestm-slow %{buildroot}%{_bindir}/aptestm-slow
%endif

%ifarch x86_64
%{__install} -Dp -m0755 aptest %{buildroot}%{_bindir}/aptest
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc readme.txt config
%ifarch %{ix86}
%{_bindir}/aptestm-fast
%{_bindir}/aptestm-slow
%endif

%ifarch x86_64
%{_bindir}/aptest
%endif

%changelog
* Fri Feb 20 2009 Dag Wieers <dag@wieers.com> - 0.0.1-1 - +/
- Initial package. (using DAR)
